--- 
vendor: "ESRI"
id: "0"
title: "RAMM Carriageway"
properties: 
  OBJECTID: 
    type: "integer"
    esriType: "esriFieldTypeOID"
  carr_way_no: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  road_id: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  road_name: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  carrway_start_m: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  carrway_end_m: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  start_name: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  end_name: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  cway_area: 
    type: "string"
    esriLength: 45
    esriType: "esriFieldTypeString"
  cway_sub_area: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  distance_break: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  maint_group: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  pavement_type: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  pavement_use: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  road_class: 
    type: "string"
    esriLength: 1
    esriType: "esriFieldTypeString"
  urban_rural: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  cway_hierarchy: 
    type: "string"
    esriLength: 45
    esriType: "esriFieldTypeString"
  lanes: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  lane_width: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  length_m: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  length_adjust_m: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  len_adjust_rsn: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  cway_width: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  irr_width: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  res_width: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  misc_area: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  bus_bays: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  islands: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  intersection: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  owner_type: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  controlled_by: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  maintained_by: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  managed_by: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  road_group: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  estimate_loading: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  traff_manage_level: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  naasra_min: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  naasra_max: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  naasra_avg: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  cway_use_category: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  cway_group_1: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  cway_group_2: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  cway_group_3: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  cway_group_4: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  cway_group_5: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  house_start_lhs: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  house_end_lhs: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  house_start_rhs: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  house_end_rhs: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  terrain: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  coastal_inland: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  est_mmp: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  asset_owner: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  left_lanes: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  right_lanes: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  lighting_category: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  collect_name: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  collect_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  travel_direction: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  traffic_link: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  condition_wt: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  condition: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  condition_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  likelihood_wt: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  risk_likelihood: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  consequence_wt: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  risk_consequence: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  risk: 
    type: "string"
    esriLength: 30
    esriType: "esriFieldTypeString"
  risk_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  easting: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  northing: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  easting_end: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  northing_end: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  gps_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  gps_by: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  gps_method: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  map_gps_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  map_gps_by: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  map_import_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  map_import_by: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  rnm_edit_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  rnm_edit_by: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  vested_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  notes: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  as_tip_note: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  added_on: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  added_by: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  chgd_on: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  chgd_by: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  id: 
    type: "string"
    esriLength: 2048
    esriType: "esriFieldTypeString"
  SHAPE: 
    format: "geometry-linestring"
    esriType: "esriFieldTypeGeometry"
  created_user: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  created_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  last_edited_user: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  last_edited_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  SHAPE_Length: 
    type: "number"
    esriType: "esriFieldTypeDouble"
type: "object"
$schema: "https://json-schema.org/draft/2020-12/schema"